define(`TITLE', `A Web-controlled Picture Frame')
define(`ABSTRACT', `A father-and-son weekend project with an Arduino, a stepper motor and a couple of family photos.')
define(`DATE', `2013-06-26')
define(`CONTENT', `
<h2>Ingredients:</h2>
<ul>
	<li><span style="line-height:14px;">an Arduino Ethernet board</span></li>
	<li>a small stepper motor</li>
	<li>a double full-H-bridge to drive the stepper</li>
	<li>a reflexion sensor with LED and photo transistor</li>
	<li>some plywood</li>
	<li>four photos of your loved ones</li>
	<li>a black self-adhesive plastic film</li>
	<li>the <a href="http://code.google.com/p/webduino/" target="_blank">webduino library</a> from the Arduino homepage</li>
	<li>the <a href="http://www.arduino.cc/playground/Code/Metro" target="_blank">Metro library</a> from the Arduino homepage</li>
</ul>
<a href="http://a385e-5.de/wp-content/uploads/2013/06/Foto-2.jpg"><img class="alignnone size-medium wp-image-20" alt="Foto 2" src="http://a385e-5.de/wp-content/uploads/2013/06/Foto-2-224x300.jpg" width="224" height="300" /></a>

&nbsp;

The Arduino drives via the double full-H-bridge the stepper to turn 90° three times, 15 minutes between each turn. The fourth time, to complete the 360° full turnaround, its drives the stepper until ...

<a href="http://a385e-5.de/wp-content/uploads/2013/06/Foto-4.jpg"><img class="alignnone size-medium wp-image-24" alt="Foto 4" src="http://a385e-5.de/wp-content/uploads/2013/06/Foto-4-224x300.jpg" width="224" height="300" /></a>

&nbsp;

the white mark arrives of the reflexion light sensor.

This mark and the photos on the other side of the round piece of plywood have to be adjusted carefully, that way, that one photo appear in a window in the frontside of the wooden box.

<a href="http://a385e-5.de/wp-content/uploads/2013/06/Foto-3.jpg"><img class="alignnone size-medium wp-image-22" alt="Foto 3" src="http://a385e-5.de/wp-content/uploads/2013/06/Foto-3-224x300.jpg" width="224" height="300" /></a>

&nbsp;

(Consider the photos of your loved ones where you see colored rectangles above.)

That's it. Code is here <a href="http://files.a385e-5.de/files/Bilderrahmen-0.9.tar.gz">http://files.a385e-5.de/files/Bilderrahmen-0.9.tar.gz</a>

&nbsp;

&nbsp;
')
